SYNCTERM(1)

NAME
syncterm - BBS terminal program

SYNOPSIS
syncterm [-46chqrts] [-blist] [-edelay] [-iinterface] [-llines] [-nconfig] [URL]

syncterm -T

syncterm -v

DESCRIPTION
SyncTERM is a terminal program designed specifically for connecting to a Bulletin Board System (BBS)

  Options

-4  Only resolve IPv4 addresses

-6  Only resolve IPv6 addresses

-blist
    Specify an alternative BBS list path

-c  Hide the status line

-edelay
    Specify the "escape delay" in milliseconds for curses(3) mode. Since curses uses the escape key for its own purposes, using the escape key for other control requires a timeout. If this timeout is too low, extended keystrokes such as arrow keys will be interpreted as an escape keypress followed by other characters. If this delay is too high, there will be a large delay after a single escape is pressed. If an escape delay of less than 10ms is specified, it is forced to 25ms.

-h  Specifies the default scheme for URL to be ssh://

-iinterface
    Specify the interface to use. Depending on compile options and library availability, not all interfaces will be available for all installations. If -i is not specified, SyncTERM will choose the "best" mode in the following order: X11, GDI, SDL, Win32 Console, curses, ANSI. The SDL mode specifically can fail in ways that the automatic fallback can not properly detect (most notably with libGGI when it is enabled in SDL.) When this occurs, a specific mode will need to be forced.

    When -i is specified, only the specified mode will be attempted. No automatic fallback will be performed.

    For the items with [F|W], an F or W may be added to indicate Fullscreen or Windowed mode respectively

    The possible values for iface are:

    A   ANSI mode. This mode as well as the curses modes have Special caveats (see TEXT MODE CAVEATS)

    C   Ccurses mode. Special caveats listed in TEXT MODE CAVEATS

    F   Curses mode and assume that the display in use will display Codepage 437 glyphs for characters above 127. Special caveats listed in TEXT MODE CAVEATS

    G[F|W]
        Windows GDI output mode. Uses the Win32 API directly.

    I   Curses mode, and force ASCII only. Special caveats listed in TEXT MODE CAVEATS

    S[F|W]
        Require SyncTERM to run in SDL mode. This requires SDL support to have been compiled in, and the library ``libSDL.so'' to be in the library search path.

    W   Run in Windows Console mode.

    X   Require SyncTERM to run in X11 mode. This requires X11 support to have been compiled in, and the library ``libX11.so'' to be in the library search path.

-llines
    Sets the number of screen lines to lines. Only specific values are allowed for lines and they are: 14, 21, 25, 28, 43, 50, and 60. If any other value is chosen, a value of 50 is used.

-nconfig
    Specify an alternative INI file

-q  Quiet mode. Hides various popups during a connect.

-r  Specifies the default scheme for URL to be rlogin://

-s  Run in "safe mode" which disables the modification of local files such as the

-t  Specifies the default scheme for URL to be telnet://

-T  When this is the ONLY argument, dumps terminfo entry to stdout and exits.

-v  When this is the ONLY argument, dumps version info to stdout and exits.

RUN-TIME LINKING
For some features, such as SDL support, and X11 support, run-time linking is employed using dlopen(). Using this, it is possible to build a version which will use SDL, and X11 if they are present, but not fail to run if they are not.

TEXT MODE CAVAETS
When running in one of the text modes such as curses or ANSI, many of the control functions are modified since there is no reliable way to use extra modifier keys. As a result, CTRL-S and CTRL-Q can not be sent to the remote system. Since these are the flow control characters, this should not present major usability issues.

The escape character (ASCII 27) is used in curses and ANSI modes to begin a control sequence. As such, there is a delay to detect if the next character continues the escape sequence or is a base escape. Because of this, there will be a perceptible delay when the escape key is used. This delay can be adjusted using the -e parameter, but selecting the "correct" value is a dark art since any value is provably incorrect.

The curses and ANSI modes are not necessarily the correct number of lines for a traditional screen mode. As such, filler will be added around the terminal screen. For some display sizes, unpredictable results may occur.

FILES

/usr/pkg/etc/syncterm.lst
    The system wide dialing directory.

syncterm.lst
    The users dialing directory. The location of this file varies by OS and can be viewed in SyncTERM in the "File Locations" option of the "SyncTERM Settings" menu.

syncterm.ini
    The users SyncTERM configuration file. The location of this file varies by OS and can be viewed in SyncTERM in the "File Locations" option of the "SyncTERM Settings" menu.

AUTHOR
Stephen Hurd <shurd@sasktel.net>

BUGS
None known at present.

Additional bugs should be reported at https://sf.net/p/syncterm/tickets/